/*========== Global Variables ==========*/
:root {
  --main-color: #10cab7;
  --sec-color: #24484f;
  --section-back: #f6f6f6;
  --par-color: #777;
  --trans-dur: all 0.25s ease-in-out;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Work Sans', sans-serif;
}

.clear {
  clear: both;
}
.contain {
  padding: 0 15px;
  margin: 0 auto;
}

@media (max-width: 767px) {
  .contain {
    width: 100%;
  }
}
@media (min-width: 768px) {
  .contain {
    width: 750px;
  }
}
@media (min-width: 992px) {
  .contain {
    width: 970px;
  }
}
@media (min-width: 1200px) {
  .contain {
    width: 1170px;
  }
}

.sec-head {
  width: 100%;
  margin: 0 auto;
  text-align: center;
}
.sec-head h1 {
  margin: 0;
  text-transform: capitalize;
  font-size: 120px;
  color: #eee;
  letter-spacing: -6px;
}
.sec-head span {
  margin-top: -37px;
  display: block;
  font-size: 20px;
  color: var(--par-color);
}
@media (max-width: 767px) {
  .sec-head h1 {
    font-size: 75px;
  }
  .sec-head span {
    margin-top: -20px;
    display: block;
    font-size: 12px;
    color: var(--par-color);
  }
}

/*========== Navbar ==========*/
.navbar {
  padding: 20px 0;
}
.navbar .contain {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.navbar .contain img {
  width: 60px;
}
.navbar .contain .menu {
  position: relative;
}
.navbar .contain .menu:hover ul {
  display: block;
}
.navbar .contain .menu:hover i {
  color: var(--main-color);
  transform: rotate(-90deg);
}
.navbar .contain .menu i {
  font-size: 25px;
  transition: var(--trans-dur);
  cursor: pointer;
  color: var(--sec-color);
}
.navbar .contain .menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
  background-color: var(--section-back);
  position: absolute;
  right: 0;
  min-width: 200px;
  top: calc(100% + 15px);
  display: none;
  z-index: 1;
}
.navbar .contain .menu ul::before {
  content: "";
  border: 10px solid;
  border-color: transparent transparent var(--section-back) transparent;
  position: absolute;
  right: 0;
  top: -18px;
}
.navbar .contain .menu ul li {
  padding: 10px 20px;
  text-transform: capitalize;
  border-bottom: 1px solid #ddd;
  text-align: left;
  transition: var(--trans-dur);
}
.navbar .contain .menu ul li:last-child {
  border-bottom: none;
}
.navbar .contain .menu ul li:hover {
  padding-left: 40px;
}
.navbar .contain .menu ul li a {
  font-size: 22px;
  text-decoration: none;
  color: var(--sec-color);
}

/*========== Header ==========*/
.header {
  height: calc(100vh - 66px);
  background-image: url(../images/header1.jpg);
  background-size: cover;
  background-position: center;
  position: relative;
}
.header .contain .head-cont {
  width: 410px;
  max-width: 90%;
  padding: 50px;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -75%);
  background-color: rgb(139 139 139 / 36%);
  transition: var(--trans-dur);
}
.header .contain .head-cont:hover {
  box-shadow: 0 0 5px 0px var(--main-color);
}
.header .contain .head-cont h1 {
  color: var(--main-color);
  font-size: 50px;
  margin: 0;
  text-transform: capitalize;
}
.header .contain .head-cont p {
  line-height: 1.8;
  font-size: 20px;
  margin-top: 20px 0 0 0;
  color: #fff;
}
@media (max-width: 767px) {
  .header .contain .head-cont {
    padding: 20px;
  }
  .header .contain .head-cont h1 {
    font-size: 30px;
  }
  .header .contain .head-cont p {
    font-size: 18px;
  }
}

/*========== Features ==========*/
.features {
  background-color: var(--section-back);
  padding: 50px 0;
}
.features .contain {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-gap: 20px;
}
.features .contain .feat:hover {
  box-shadow: 2px 2px 5px 0px #ddd;
}
.features .contain .feat {
  text-align: center;
  padding: 20px;
  transition: var(--trans-dur);
}
.features .contain .feat i {
  color: var(--main-color);
  font-size: 50px;
}
.features .contain .feat h3 {
  text-transform: capitalize;
  font-size: 20px;
  font-weight: 800;
  margin: 30px auto;
}
.features .contain .feat p {
  font-size: 17px;
  color: var(--par-color);
  line-height: 1.8;
}

/*========== Services ==========*/
.services {
  padding: 50px 0;
}
.services .contain .servs-cont {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-template-rows: 1fr 1fr;
  gap: 25px 25px;
  margin: 50px auto;
}
.services .contain .servs-cont .serv {
  padding: 50px 0 25px 50px;
  position: relative;
}
.services .contain .servs-cont .serv i {
  font-size: 32px;
  color: var(--main-color);
  position: absolute;
  top: 45px;
  left: 2px;
}
.services .contain .servs-cont .serv h3{
  font-size: 18px;
  text-transform: capitalize;
}
.services .contain .servs-cont .serv p {
  color: var(--par-color);
  font-size: 16px;
  font-weight: 300;
  margin-top: 30px;
  line-height: 1.5;
}
.services .contain .servs-cont .serv.picture {
  grid-area: 1/3/3/4;
  text-align: right;
  position: relative;
  border-right: 100px solid var(--sec-color);
}
.services .contain .servs-cont .serv img{
  width: 250px;
  height: 370px;
  position: absolute;
  right: -50px;
  top: 10%;
}
@media (max-width: 767px) {
  .services .contain .servs-cont .serv {
    padding: 10px;
    text-align: center;
    position: static;
  }
  .services .contain .servs-cont .serv i {
    text-align: center;
    position: static;
  }
  .services .contain .servs-cont .serv h3{
    margin: 20px;
  }
  .services .contain .servs-cont .serv p {
    color: var(--par-color);
    margin-top: 0;
  }
}
@media (max-width: 1200px) {
  .services .contain .servs-cont .serv.picture {
    display: none;
  }
}

/*========== Portfolio ==========*/
.portfolio {
  padding: 50px 0;
  background-color: var(--section-back);
}
.portfolio .contain .port-cont {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-gap: 40px;
  margin-top: 50px;
}
.portfolio .contain .port-cont .port {
  box-shadow: 2px 2px 5px 0px #ddd;
  background: #fff;
}
.portfolio .contain .port-cont .port img {
  width: 100%;
  height: 250px;
}
.portfolio .contain .port-cont .port h3 {
  text-transform: capitalize;
  font-size: 19px;
  padding: 20px 15px 0 15px;
}
.portfolio .contain .port-cont .port p {
  font-size: 16px;
  color: var(--par-color);
  line-height: 1.8;
  padding: 15px;
}

/*========== About ==========*/
.about {
  padding: 50px 0;
}
.about .contain .about-cont {
  margin: 70px 0;
  display: flex;
  justify-content: space-between;
}
.about .contain .about-cont .pic {
  width: 30%;
  position: relative;
}
.about .contain .about-cont .pic img {
  width: 75%;
  height: 370px;
}
.about .contain .about-cont .pic::before {
  content: "";
  position: absolute;
  width: 100px;
  height: 450px;
  top: -40px;
  left: -20px;
  background-color: #ddd;
  z-index: -1;
}
.about .contain .about-cont .pic::after {
  content: "";
  position: absolute;
  width: 100px;
  height: 290px;
  top: -40px;
  right: -40px;
  border-bottom: 80px solid var(--main-color);
  border-left: 80px solid var(--main-color);
  z-index: -1;
}
.about .contain .about-cont .cont {
  width: 60%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.about .contain .about-cont .cont p {
  font-size: 16px;
  line-height: 2;
  padding: 35px 0;
}
.about .contain .about-cont .cont hr {
  height: 2px;
  width: 50%;
  background-color: var(--main-color);
  border: none;
}
@media (max-width: 1200px) {
  .about .contain .about-cont {
    margin: 50px 0;
  }
  .about .contain .about-cont .pic {
    display: none;
  }
  .about .contain .about-cont .cont {
    width: 100%;
  }
}

/*========== Contact ==========*/
.contact {
  padding: 50px 0;
  background-color: var(--section-back);
}
.contact .contain .conts-info {
  text-align: center;
  margin: 75px 0;
}
.contact .contain .conts-info h1 {
  letter-spacing: -3px;
  font-size: 40px;
  margin: 10px;
  color: var(--sec-color);
}
.contact .contain .conts-info a {
  color: var(--main-color);
  font-size: 35px;
  font-weight: 800;
}
.contact .contain .conts-info p {
  margin: 20px 0;
  text-transform: capitalize;
  color: var(--sec-color);
  font-size: 20px;
}
.contact .contain .conts-info i {
  color: var(--sec-color);
  margin: 0 5px;
}
@media (max-width: 767px) {
  .contact .contain .conts-info h1 {
    font-size: 25px;
  }
  .contact .contain .conts-info a {
    font-size: 20px;
  }
  .contact .contain .conts-info p {
    font-size: 15px;
  }
}

/*========== Footer ==========*/
.footer{
  background-color: var(--sec-color);
  padding: 35px 0;
  text-align: center;
}
.footer .contain p {
  color: #fff;
  font-size: 20px;
  text-transform: capitalize;
}
.footer .contain p span {
  color: var(--main-color);
}
@media (max-width: 767px) {
  .footer .contain p {
    font-size: 17px;
  }
}
